Bug 1956946 - Package information on ELF objects
Summary: Package information on ELF objects
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
Depends On: 2055458
Blocks: F36Changes
TreeView+ depends on / blocked
 
Reported: 2021-05-04 17:52 UTC by Ben Cotton
Modified: 2022-05-10 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-10 14:41:45 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-05-04 17:52:16 UTC
This is a tracking bug for Change: Package information on ELF objects
For more details, see: https://fedoraproject.org/wiki/Changes/Package_information_on_ELF_objects

All binaries (executables and shared libraries) are annotated with an ELF note that identifies the rpm distributing this file.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2021-05-04 17:57:00 UTC
Got this confused with another proposal. It's still pending with FESCo.

Comment 2 Ben Cotton 2021-08-10 12:32:41 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton@redhat.com.

Comment 3 Zbigniew Jędrzejewski-Szmek 2021-08-10 13:24:09 UTC
This change was rejected by FESCo. I'll plan to try again for F36, but I need to some more research on this first.

Comment 4 Ben Cotton 2021-11-15 21:23:57 UTC
Change as amended approved for F36 by FESCo

Comment 5 Ben Cotton 2022-02-08 21:07:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 36 development cycle.
Changing version to 36.

Comment 6 Ben Cotton 2022-02-08 21:15:06 UTC
Today we reached the Code Complete (testable) milestone in the F36 schedule: https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

All code for this change should be complete enough for testing. You can indicate this by setting the bug status to MODIFIED. (If the code is fully complete, you can go ahead and set it to ON_QA.)

If you need to defer this Change to F37, please needinfo bcotton.

Comment 7 Fangrui Song 2022-02-17 02:29:04 UTC
https://github.com/systemd/package-notes/blob/main/rpm/macros.package-notes-srpm#L52

`%_package_note_flags    %[%_package_note_status?"-Wl,%["%_package_note_linker" != "lld"?"-dT":"-T"],%{_package_note_file}":""]`

I was asked why lld doesn't support -dT. I think it is related to a GNU ld quirk about the `not found for insert` diagnostic.
Reported the issue for upstream GNU ld: https://sourceware.org/bugzilla/show_bug.cgi?id=28902#c1

If the ordering issue is fixed, GNU ld can use -T as well. The distro usage of -dT may break a project using -dT.

Comment 8 Ben Cotton 2022-02-22 16:34:00 UTC
We have reached the 'Change complete (100% complete)' deadline in the Fedora Linux 36 release schedule.

At this time, all Changes should be fully complete. Indicate this by setting this tracking bug to ON_QA.

If you need to defer this Change to a subsequent release, please needinfo me.

Comment 9 Zbigniew Jędrzejewski-Szmek 2022-02-22 16:48:12 UTC
The thread on devel has some statistics:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RFB45VLZATBJAETGHWDTMJRTADMZY2XI/#RFB45VLZATBJAETGHWDTMJRTADMZY2XI

Since the initial report in that thread golang and rust were fixed, so we have pretty good
coverage now.

Comment 10 Ben Cotton 2022-05-10 14:41:45 UTC
F36 was released today. If this Change did not land in the release, please notify bcotton as soon as possible.


Note You need to log in before you can comment on or make changes to this bug.